Loading...
Searching...
No Matches
fastjet::BackgroundEstimate Class Reference

/// a class that holds the result of the calculation More...

`#include <fastjet/tools/BackgroundEstimatorBase.hh>`

Collaboration diagram for fastjet::BackgroundEstimate:
[legend]

## Classes

class | Extras
| base class for extra information More...

## Public Member Functions

| BackgroundEstimate ()
| ctor wo initialisation
for accessing information about the background
double | rho () const
| background density per unit area
double | sigma () const
| background fluctuations per unit square-root area must be multipled by sqrt(area) to get fluctuations for a region of a given area.
bool | has_sigma ()
| true if this background estimate has a determination of sigma
double | rho_m () const
| purely longitudinal (particle-mass-induced) component of the background density per unit area
double | sigma_m () const
| fluctuations in the purely longitudinal (particle-mass-induced) component of the background density per unit square-root area
bool | has_rho_m () const
| true if this background estimate has a determination of rho_m.
double | mean_area () const
| mean area of the patches used to compute the background properties
bool | has_extras () const
| returns true if the background estimate has extra info
template<typename T>
bool | has_extras () const
| returns true if the background estimate has extra info compatible with the provided template type
template<typename BackgroundEstimator>
const BackgroundEstimator::Extras & | extras () const
| returns a reference to the extra information associated with a given BackgroundEstimator.
for setting information about the background (internal FJ use)
void | reset ()
| reset to default
void | set_rho (double rho_in)
void | set_sigma (double sigma_in)
void | set_has_sigma (bool has_sigma_in)
void | set_rho_m (double rho_m_in)
void | set_sigma_m (double sigma_m_in)
void | set_has_rho_m (bool has_rho_m_in)
void | set_mean_area (double mean_area_in)
void | apply_rescaling_factor (double rescaling_factor)
| apply a rescaling factor (to rho, rho_m, sigma, sigma_m)
void | set_extras (Extras *extras_in)
| sets the extra info based on the provided pointer

## Protected Attributes

double | _rho
| background estimated density per unit area
double | _sigma
| background estimated fluctuations
double | _rho_m
| "mass" background estimated density per unit area
double | _sigma_m
| "mass" background estimated fluctuations
bool | _has_sigma
| true if this estimate has a determination of sigma
bool | _has_rho_m
| true if this estimate has a determination of rho_m
double | _mean_area
| mean area of the patches used to compute the bkg properties
SharedPtr< Extras > | _extras

## Detailed Description

/// a class that holds the result of the calculation

By default it provides access to the main background properties: rho, rho_m, sigma and sigma_m. If background estimators derived from the base class want to store more information, this can be done using the "Extra" information.

Definition at line 53 of file BackgroundEstimatorBase.hh.

## Constructor & Destructor Documentation

## BackgroundEstimate()

fastjet::BackgroundEstimate::BackgroundEstimate | ( |  | ) |

inline

ctor wo initialisation

Definition at line 56 of file BackgroundEstimatorBase.hh.

## Member Function Documentation

## rho()

double fastjet::BackgroundEstimate::rho | ( |  | ) | const

inline

background density per unit area

Definition at line 66 of file BackgroundEstimatorBase.hh.

## sigma()

double fastjet::BackgroundEstimate::sigma | ( |  | ) | const

inline

background fluctuations per unit square-root area must be multipled by sqrt(area) to get fluctuations for a region of a given area.

Definition at line 71 of file BackgroundEstimatorBase.hh.

## has_sigma()

bool fastjet::BackgroundEstimate::has_sigma | ( |  | ) |

inline

true if this background estimate has a determination of sigma

Definition at line 74 of file BackgroundEstimatorBase.hh.

## rho_m()

double fastjet::BackgroundEstimate::rho_m | ( |  | ) | const

inline

purely longitudinal (particle-mass-induced) component of the background density per unit area

Definition at line 78 of file BackgroundEstimatorBase.hh.

## sigma_m()

double fastjet::BackgroundEstimate::sigma_m | ( |  | ) | const

inline

fluctuations in the purely longitudinal (particle-mass-induced) component of the background density per unit square-root area

Definition at line 82 of file BackgroundEstimatorBase.hh.

## has_rho_m()

bool fastjet::BackgroundEstimate::has_rho_m | ( |  | ) | const

inline

true if this background estimate has a determination of rho_m.

Support for sigma_m is automatic if one has sigma and rho_m support.

Definition at line 86 of file BackgroundEstimatorBase.hh.

## mean_area()

double fastjet::BackgroundEstimate::mean_area | ( |  | ) | const

inline

mean area of the patches used to compute the background properties

Definition at line 89 of file BackgroundEstimatorBase.hh.

## has_extras() [1/2]

bool fastjet::BackgroundEstimate::has_extras | ( |  | ) | const

inline

returns true if the background estimate has extra info

Definition at line 103 of file BackgroundEstimatorBase.hh.

## has_extras() [2/2]

template<typename T>

bool fastjet::BackgroundEstimate::has_extras | ( |  | ) | const

inline

returns true if the background estimate has extra info compatible with the provided template type

Definition at line 110 of file BackgroundEstimatorBase.hh.

## extras()

template<typename BackgroundEstimator>

const BackgroundEstimator::Extras & fastjet::BackgroundEstimate::extras | ( |  | ) | const

inline

returns a reference to the extra information associated with a given BackgroundEstimator.

It assumes that the extra information is reachable with class name BackgroundEstimator::Extras

Definition at line 119 of file BackgroundEstimatorBase.hh.

## reset()

void fastjet::BackgroundEstimate::reset | ( |  | ) |

inline

reset to default

Definition at line 130 of file BackgroundEstimatorBase.hh.

## set_rho()

void fastjet::BackgroundEstimate::set_rho | ( | double | rho_in | ) |

inline

Definition at line 135 of file BackgroundEstimatorBase.hh.

## set_sigma()

void fastjet::BackgroundEstimate::set_sigma | ( | double | sigma_in | ) |

inline

Definition at line 136 of file BackgroundEstimatorBase.hh.

## set_has_sigma()

void fastjet::BackgroundEstimate::set_has_sigma | ( | bool | has_sigma_in | ) |

inline

Definition at line 137 of file BackgroundEstimatorBase.hh.

## set_rho_m()

void fastjet::BackgroundEstimate::set_rho_m | ( | double | rho_m_in | ) |

inline

Definition at line 138 of file BackgroundEstimatorBase.hh.

## set_sigma_m()

void fastjet::BackgroundEstimate::set_sigma_m | ( | double | sigma_m_in | ) |

inline

Definition at line 139 of file BackgroundEstimatorBase.hh.

## set_has_rho_m()

void fastjet::BackgroundEstimate::set_has_rho_m | ( | bool | has_rho_m_in | ) |

inline

Definition at line 140 of file BackgroundEstimatorBase.hh.

## set_mean_area()

void fastjet::BackgroundEstimate::set_mean_area | ( | double | mean_area_in | ) |

inline

Definition at line 141 of file BackgroundEstimatorBase.hh.

## apply_rescaling_factor()

void fastjet::BackgroundEstimate::apply_rescaling_factor | ( | double | rescaling_factor | ) |

inline

apply a rescaling factor (to rho, rho_m, sigma, sigma_m)

Definition at line 144 of file BackgroundEstimatorBase.hh.

## set_extras()

void fastjet::BackgroundEstimate::set_extras | ( | Extras * | extras_in | ) |

inline

sets the extra info based on the provided pointer

When calling this method, the BackgroundEstimate class takes ownership of the pointer (and is responsible for deleting it)

Definition at line 155 of file BackgroundEstimatorBase.hh.

## Member Data Documentation

## _rho

double fastjet::BackgroundEstimate::_rho

protected

background estimated density per unit area

Definition at line 162 of file BackgroundEstimatorBase.hh.

## _sigma

double fastjet::BackgroundEstimate::_sigma

protected

background estimated fluctuations

Definition at line 163 of file BackgroundEstimatorBase.hh.

## _rho_m

double fastjet::BackgroundEstimate::_rho_m

protected

"mass" background estimated density per unit area

Definition at line 164 of file BackgroundEstimatorBase.hh.

## _sigma_m

double fastjet::BackgroundEstimate::_sigma_m

protected

"mass" background estimated fluctuations

Definition at line 165 of file BackgroundEstimatorBase.hh.

## _has_sigma

bool fastjet::BackgroundEstimate::_has_sigma

protected

true if this estimate has a determination of sigma

Definition at line 166 of file BackgroundEstimatorBase.hh.

## _has_rho_m

bool fastjet::BackgroundEstimate::_has_rho_m

protected

true if this estimate has a determination of rho_m

Definition at line 167 of file BackgroundEstimatorBase.hh.

## _mean_area

double fastjet::BackgroundEstimate::_mean_area

protected

mean area of the patches used to compute the bkg properties

Definition at line 168 of file BackgroundEstimatorBase.hh.

## _extras

SharedPtr<Extras> fastjet::BackgroundEstimate::_extras

protected

Definition at line 171 of file BackgroundEstimatorBase.hh.

The documentation for this class was generated from the following file:

- tools/fastjet/tools/BackgroundEstimatorBase.hh